Package com.saxonica.ee.trans

## Class PackageLoaderEE

- java.lang.Object
- - net.sf.saxon.trans.PackageLoaderHE
  - - com.saxonica.trans.PackageLoaderPE
    - - com.saxonica.ee.trans.PackageLoaderEE

- All Implemented Interfaces:
    `IPackageLoader`

      public class PackageLoaderEE
      extends PackageLoaderPE

  Saxon-EE version of PackageLoader

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.PackageLoaderHE

      `PackageLoaderHE.ExpressionLoader, PackageLoaderHE.PatternLoader`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.trans.PackageLoaderHE

      `allPackages, completionActions, eMap, fixups, licensableConstructs, localBindings, packStack, userFunctions`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PackageLoaderEE​(EnterpriseConfiguration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected UserFunction` | `makeFunction​(java.lang.String flags)` |

    - ### Methods inherited from class com.saxonica.trans.PackageLoaderPE

      `addVendorFunctionLibrary, processComponentReference, readSchemaNamespaces`

    - ### Methods inherited from class net.sf.saxon.trans.PackageLoaderHE

      `addCompletionAction, getChild, getChildExpressionArray, getChildExpressionList, getChildWithRole, getConfiguration, getExpressionWithRole, getFirstChildExpression, getInheritedAttribute, getIntegerAttribute, getListOfQNameAttribute, getNthChildExpression, getOperator, getPackage, getPackStack, getPatternWithRole, getQNameAttribute, getSecondChildExpression, getTypeAttribute, loadExpression, loadPackage, loadPackageDoc, loadPackageElement, makeAtomicComparer, makeRetainedStaticContext, needsEELicense, needsPELicense, parseAlphaCode, parseAlphaCodeForItemType, parseItemTypeAttribute, parseSequenceType, processAccumulatorList, readFunction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageLoaderEE

          public PackageLoaderEE​(EnterpriseConfiguration config)

  - ### Method Detail

    - #### makeFunction

          protected UserFunction makeFunction​(java.lang.String flags)

      Overrides:
        `makeFunction` in class `PackageLoaderPE`